Subject: bug#24536: closed (Re: bug#24536: 25.1; cannot display JPEG image)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Oct 2016 10:39:02 +0000

Your bug report

#24536: 25.1; cannot display JPEG image

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24536: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24536
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24536: 25.1; cannot display JPEG image
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 04 Oct 2016 13:38:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 26 Sep 2016 18:00:39 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Gnutls 3.4 will take a bit more time, as it needs dependencies.  I
> will try to do this during the next few days.

Done now, and uploaded.  Look for gnutls-3.4.15-w32-bin.zip.

With this accomplished, I consider this bug done.

Thanks.

Subject: 25.1; cannot display JPEG image
From: [email-masked]
To: [email-masked]
Date: Sun, 25 Sep 2016 11:45:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed emacs-25.1-i686-w64-mingw32.zip and
copied libjpeg-9.dll and libgif-7.dll into emacs bin directory.

JPEG images are not displayed in emacs buffer,
while GIF images are displayed.

Emacs says "Cannot display image: (Invalid image specification)".

DLLs are obtained from http://sourceforge.net/projects/ezwinports/files/,
archived in jpeg-v9a-w32-bin.zip and giflib-5.1.0-w32-bin.zip.

dynamic-library-alist's value is
((xpm "libxpm.dll" "xpm4.dll" "libXpm-nox4.dll")
 (png "libpng16.dll" "libpng16-16.dll")
 (tiff "libtiff-5.dll" "libtiff3.dll" "libtiff.dll")
 (jpeg "libjpeg-8.dll")
 (gif "libgif-7.dll")
 (svg "librsvg-2-2.dll")
 (gdk-pixbuf "libgdk_pixbuf-2.0-0.dll")
 (glib "libglib-2.0-0.dll")
 (gobject "libgobject-2.0-0.dll")
 (gnutls "libgnutls-30.dll")
 (libxml2 "libxml2-2.dll" "libxml2.dll")
 (zlib "zlib1.dll" "libz-1.dll"))

In GNU Emacs 25.1.1 (i686-w64-mingw32)
 of 2016-09-18 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.0.6002
Configured using:
 'configure --host=i686-w64-mingw32 --without-dbus
 --without-compress-install CFLAGS=-static'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Dired by name

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message format-spec rfc822 mml mml-sec
password-cache epg epg-config gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils advice
misearch multi-isearch dired-aux help-mode cl-loaddefs pcase cl-lib
shell pcomplete comint ansi-color ring thingatpt nxml-uchnm rng-xsd
xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc rng-uri rng-parse
nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode
nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok image-mode
easymenu dired time-date mule-util japan-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table w32-win w32-vars term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 8 117010 8676)
 (symbols 32 22479 0)
 (miscs 32 61 205)
 (strings 16 22990 5108)
 (string-bytes 1 624970)
 (vectors 8 16640)
 (vector-slots 4 575211 7254)
 (floats 8 199 278)
 (intervals 28 1523 653)
 (buffers 520 23))